%define origname	hayes
%define app		noatun
%define	name		%{app}-%{origname}
%define	version		1.3
%define	release		1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{origname}-%{version}.tar.bz2
Epoch:		1
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://www.freekde.org/neil/hayes/
BuildRequires:	libpng-devel libjpeg-devel kdemultimedia-devel libfam-devel libarts-devel XFree86-devel
BuildRequires:	libalsa-devel libaudiofile-devel libvorbis-devel libart_lgpl-devel libqt3-devel kdebase-devel
Requires:	kdemultimedia
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Playlist-plugin for Noatun

%description
Noatun playlist-plugin

%prep
%setup -q -n %{origname}-%{version}

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure	--host=%{_target_platform} \
                --target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--with-qt-dir=%{_prefix}/lib/qt3
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc VERSION
%{_datadir}/apps/noatun/icons/hicolor/22x22/actions/noatunshuffle.png
%{_datadir}/apps/noatun/icons/hicolor/32x32/actions/nextsection.png
%{_datadir}/apps/noatun/icons/hicolor/32x32/actions/prevsection.png
%{_datadir}/apps/konqueror/servicemenus/noatunhayessetcurrent.desktop
%{_datadir}/services/noatunhayessetcurrent.desktop
%{_datadir}/apps/noatun/hayesui.rc
%{_datadir}/apps/noatun/hayes.plugin
%defattr(755,root,root,755)
%{_libdir}/kde3/*

%changelog
* Wed Jul 02 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-1mdk
- 1.3 (should fix #2818)
- added Epoch tag, rpm thinks 1.21 is newer than 1.3

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.21-5mdk
- fix path to qt3 (lib64 issues..)

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.21-4mdk
- added yet another buildrequires (thx to stefans build robot)
- compiled --with-xinerama
- compile with $RPM_OPT_FLAGS
- minor fixes

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.21-3mdk
- yet another missing BuildRequires added..

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.21-2mdk
- added libqt3-devel to BuildRequires

* Tue Feb 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.21-1mdk
- 1.21
- Minor fixes

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1.5-3mdk
- rebuild

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.5-2mdk
- Rebuild against kdemultimedia-3.1rc3
- Change permissions on .spec file to 644
- configure with libdir(to make rpmlint happy)

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- First mdk release

* Thu Aug 15 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.1.4-2dlc
- Rebuild against gcc-3.2
